javafx.scene.web

## Class PopupFeatures

- java.lang.Object
- - javafx.scene.web.PopupFeatures

-     public final class PopupFeatures
      extends Object

  This class describes features of a Web popup window as specified by JavaScript `window.open` function. Instances are passed into popup handlers registered on a `WebEngine` using `WebEngine.setCreatePopupHandler(javafx.util.Callback<javafx.scene.web.PopupFeatures, javafx.scene.web.WebEngine>)` method.
  Since:
    JavaFX 2.0
  See Also:
    `WebEngine`, `WebEngine.setCreatePopupHandler(javafx.util.Callback<javafx.scene.web.PopupFeatures, javafx.scene.web.WebEngine>)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PopupFeatures(boolean menu, boolean status, boolean toolbar, boolean resizable)` Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasMenu()` Returns whether menu bar should be present.
    `boolean` | `hasStatus()` Returns whether status bar should be present.
    `boolean` | `hasToolbar()` Returns whether tool bar should be present.
    `boolean` | `isResizable()` Returns whether popup window should be resizable.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PopupFeatures

          public PopupFeatures(boolean menu,
                               boolean status,
                               boolean toolbar,
                               boolean resizable)

      Creates a new instance.
      Parameters:
        `menu` - whether menu bar should be present
        `status` - whether status bar should be present
        `toolbar` - whether tool bar should be present
        `resizable` - whether popup window should be resizable

  - ### Method Detail

    - #### hasMenu

          public final boolean hasMenu()

      Returns whether menu bar should be present.

    - #### hasStatus

          public final boolean hasStatus()

      Returns whether status bar should be present.

    - #### hasToolbar

          public final boolean hasToolbar()

      Returns whether tool bar should be present.

    - #### isResizable

          public final boolean isResizable()

      Returns whether popup window should be resizable.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 2008, 2019, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.